package gregapi.tileentity;

import net.minecraft.world.World;

/**
 * @author Gregorius Techneticies
 */
public class DelegatorTileEntity<T> {
    /** the TileEntity */
	public final T mTileEntity;
	/** the Coordinates the TileEntity has, or should have in case mTileEntity is null. */
	public final int mX, mY, mZ;
	/** the World Object the TileEntity has, or should have in case mTileEntity is null. */
	public final World mWorld;
    /** the Side of the getDelegate responsible for handling. So a TE-Tesseract alike can go a curve. */
	public final byte mSideOfTileEntity;
	
	public DelegatorTileEntity(T aTileEntity, World aWorld, int aX, int aY, int aZ, byte aSideOfTileEntity) {
		mTileEntity = aTileEntity;
		mWorld = aWorld;
		mX = aX;
		mY = aY;
		mZ = aZ;
		mSideOfTileEntity = aSideOfTileEntity;
	}
}